@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT KOBEI ΤΑ ΒΙΝΤΕΟ ΠΟΥ ΖΗΤΗΣΑΤΕ ΣΤΙΣ ΔΙΑΣΤΑΣΕΙΣ ΠΟΥ ΤΟΥ ΟΡΙΖΕΤΕ, ΞΕΧΩΡΙΣΤΑ ΓΙΑ ΤΟ ΚΑΘΕΝΑ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

dir
echo.
set "outWIDTH=1280"
set /p outWIDTH=Γράψε τον Αριθμό των Pixel για την ΟΡΙΖΟΝΤΙΑ ανάλυση, π.χ. 640, αλλιώς Enter για default 1280:
echo.
echo.
set "outHEIGHT=720"
set /p outHEIGHT=Γράψε τον Αριθμό των Pixel για την ΚΑΘΕΤΗ ανάλυση π.χ. 360, αλλιώς Enter για default 720:
echo.


:FF

echo.
echo Παίζω το "%~1" σε ..
echo.
rem call ffmpeg -v quiet -stats -i "%~1" -vf "crop=%inWIDTH%:%inHEIGHT%:%outWIDTH%:%outHEIGHT%"  -c:a copy "%~p1%~n1-cropped-%inWIDTH%_%inHEIGHT%.%~x1"
call ffplay -v quiet -stats -loglevel error  -x "%outWIDTH%" -y "%outHEIGHT%" "%~1"

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0